ADNameSampleStream (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats.ad, class: ADNameSampleStream

# Class ADNameSampleStream

java.lang.Object
opennlp.tools.formats.ad.ADNameSampleStream

All Implemented Interfaces:
  `AutoCloseable, ObjectStream<NameSample>`

@Internal public class ADNameSampleStream extends Object implements ObjectStream<NameSample>
Parser for Floresta Sita(c)tica Arvores Deitadas corpus, output to for the Portuguese NER training.

The data contains four named entity types: Person, Organization, Group, Place, Event, ArtProd, Abstract, Thing, Time and Numeric.

Data can be found on this web site.

Information about the format:
Susana Afonso. "Árvores deitadas: Descrição do formato e das opções de análise na Floresta Sintáctica".
12 de Fevereiro de 2006.

Detailed info about the NER tagset.

Note: Do not use this class, internal use only!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ADNameSampleStream(InputStreamFactory in, String charsetName, boolean splitHyphenatedTokens)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ADNameSampleStream(ObjectStream<String> lineStream, boolean splitHyphenatedTokens)`
  Initializes a new `ADNameSampleStream` stream from a `ObjectStream<String>`, that could be a `PlainTextByLineStream` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the `ObjectStream` and releases all allocated resources.
  `NameSample`
  `read()`
  Returns the next `T` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ADNameSampleStream

    public ADNameSampleStream(ObjectStream<String> lineStream, boolean splitHyphenatedTokens)
    Initializes a new `ADNameSampleStream` stream from a `ObjectStream<String>`, that could be a `PlainTextByLineStream` object.
    Parameters:
      `lineStream` - An `ObjectStream<String>` as input.
      `splitHyphenatedTokens` - If `true` hyphenated tokens will be separated: "carros-monstro" > "carros" "-" "monstro".

  - ### ADNameSampleStream

    @Deprecated(forRemoval=true) public ADNameSampleStream(InputStreamFactory in, String charsetName, boolean splitHyphenatedTokens) throws IOException
    Deprecated, for removal: This API element is subject to removal in a future version.
    Initializes a new `ADNameSampleStream` from an `InputStreamFactory`
    Parameters:
      `in` - The Corpus `InputStreamFactory`.
      `charsetName` - The `charset` to use for reading of the corpus.
      `splitHyphenatedTokens` - If `true` hyphenated tokens will be separated: "carros-monstro" > "carros" "-" "monstro".
    Throws:
      `IOException`

- ## Method Details

  - ### read

    public NameSample read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `T` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<NameSample>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<NameSample>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.
      `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

  - ### close

    public void close() throws IOException
    Description copied from interface: `ObjectStream`
    Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ObjectStream<NameSample>`
    Throws:
      `IOException` - Thrown if there is an error during closing the stream.